package database

import org.ktorm.schema.Table
import org.ktorm.schema.int
import org.ktorm.schema.varchar

object TCard : Table<Nothing>("t_card") {
    val id = int("id").primaryKey()
    val name = varchar("name")
    val characterId = int("character_id")
    val characterName = varchar("character_name")
    val type = varchar("type")
    val rarity = varchar("rarity")
    val maxLevel = varchar("max_level")
    val maxHp = varchar("max_hp")
    val smile = varchar("smile")
    val pure = varchar("pure")
    val cool = varchar("cool")
    val illustId = varchar("illust_id")
    val evolveIllustId = varchar("evolve_illust_id")
    val group = varchar("group")
    val team = varchar("team")
    val date = varchar("date")
    val centerSkillName = varchar("center_skill_name")
    val centerSkillInfo = varchar("center_skill_info")
    val specialSkillName = varchar("special_skill_name")
    val specialSkillInfo = varchar("special_skill_info")
}